Autor Tema: [RESUELTO] Instalación Preinscripción 2.8.1 - Zend Error  (Leído 1159 veces)

0 Usuarios y 1 Visitante están viendo este tema.

vsuch

  • General
  • *
  • Mensajes: 452
    • Ver Perfil
  • Institución: Facultad de Ciencias Naturales e Instituto Miguel Lillo
  • Nombre y apellido: Victor Such
  • Sistema: SIU GUARANI
  • Teléfono laboral: 4330633 int 260
[RESUELTO] Instalación Preinscripción 2.8.1 - Zend Error
« on: Agosto 12, 2014, 11:23:45 am »
Hola como estan?

estoy instalando el preinscripción 2.8.1, luego de probar y probar.. y ver todas las versiones de php la que sirve es la que viene con el xampp 1.7.3, php 5.3.1 (NO 5.3.* como dice la doc porque es un dolor de cabeza instalar las librerias), ahora me sale este error:

Fatal error: Class '\Zend_Form_Element_Checkbox' not found in D:\preinscripcion\src\siu\lib\kernel\util\form.php on line 467

Alguien podría ayudarme? saben a que se debe esto?

Gracias
Matias
« Última Modificación: Agosto 13, 2014, 10:03:26 am por hfmartinez »

hfmartinez

  • Visitante
Re:Instalación Preinscripción 2.8.1
« Respuesta #1 on: Agosto 12, 2014, 11:35:50 am »
Hola Matías,

Si realizás una instalación de Apache y PHP con XAMPP, verificá por favor que estén activadas las librerías requeridas por Preinscripción en el php.ini (curl, mbstring, pdo_pgsql, openssl, apc).

Yo he realizado pruebas con XAMPP, particularmente con la versión 1.7.7 que viene con PHP 5.3.8 y anduvo bien, aunque tuve que conseguir por mi cuenta algunas librerías.

Con respecto al error reportado, ¿en qué operación te surge? ¿En la pantalla de login? Si no tenías habilitada alguna de las librerías, por favor volvé a probar y avisanos.

Saludos,
Fernando

vsuch

  • General
  • *
  • Mensajes: 452
    • Ver Perfil
  • Institución: Facultad de Ciencias Naturales e Instituto Miguel Lillo
  • Nombre y apellido: Victor Such
  • Sistema: SIU GUARANI
  • Teléfono laboral: 4330633 int 260
Re:Instalación Preinscripción 2.8.1 - Zend Error
« Respuesta #2 on: Agosto 12, 2014, 11:39:03 am »
el error sale al hacer el login de preinscripcion_admin, me falta una libreria openssl el resto ya esta instalada en esa version de xampp :),
probare con eso.

Muchas Gracias

hfmartinez

  • Visitante
Re:Instalación Preinscripción 2.8.1 - Zend Error
« Respuesta #3 on: Agosto 12, 2014, 12:01:20 pm »
Dale! Si persiste el error buscamos el origen. Avisanos!

vsuch

  • General
  • *
  • Mensajes: 452
    • Ver Perfil
  • Institución: Facultad de Ciencias Naturales e Instituto Miguel Lillo
  • Nombre y apellido: Victor Such
  • Sistema: SIU GUARANI
  • Teléfono laboral: 4330633 int 260
Re:Instalación Preinscripción 2.8.1 - Zend Error
« Respuesta #4 on: Agosto 12, 2014, 12:43:53 pm »
Hola!

estuve probando con la version 1.7.7 y la unica libreria que me esta faltando es la apc, segui estas instrucciones:

http://idewerks.com/?p=162

pero al iniciar el apache salta este error:

PHP Startup: Unable to load dynamic library '...\php\ext\php_apc.dll' - the specified module could not be found.

desde ya, Muchas Gracias.

hfmartinez

  • Visitante
Re:Instalación Preinscripción 2.8.1 - Zend Error
« Respuesta #5 on: Agosto 12, 2014, 01:00:14 pm »
Te adjunto la DLL de APC que tengo en esa versión que te comentaba. Probá a ver si con esta te anda.

Saludos,
Fernando

vsuch

  • General
  • *
  • Mensajes: 452
    • Ver Perfil
  • Institución: Facultad de Ciencias Naturales e Instituto Miguel Lillo
  • Nombre y apellido: Victor Such
  • Sistema: SIU GUARANI
  • Teléfono laboral: 4330633 int 260
Re:Instalación Preinscripción 2.8.1 - Zend Error
« Respuesta #6 on: Agosto 13, 2014, 09:14:17 am »
Fernando!

Muchisimas gracias.. con esa dll ya funcionó, baje varias por internet y no tuve resultados, si a alguien le sirve, estoy trabajando en un windows server 2012

Saludos.
Matias